package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Brd;
import com.brilliance.isc.bo.Trnbch;
import com.brilliance.isc.vo.lc.BrdWithPtsCbbResponseVo;
import com.brilliance.isc.vo.lc.LitselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BrdMapper {

    int insert(Brd record);

    int insertSelective(Brd record);

    int updateByPrimaryKeySelective(Brd record);

    int updateByPrimaryKey(Brd record);

    int deleteByPrimaryKey(Brd record);

    int deleteByIds(Collection<Object> collection);

    Brd selectByPrimaryKey(Brd record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Brd> dyncRead(Map<String, Object> dyncMap);

    Brd selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Brd selectByWhere(Brd record);

    List<BrdWithPtsCbbResponseVo> queryBrd(LitselQueryVo litselQueryVo);

    int selectByPntInrRcvdat(@Param("pntInr") String pntInr);

    int selectByPntInrClsdat(@Param("pntInr") String pntInr);

    int selectByPntInrRcvdatClsdat(@Param("pntInr") String pntInr);

    List<String> selectInrByPntinrPnttyp(@Param("pntInr") String pntInr);

    List<Brd> selectBrdInrByPntInrOutRcvDat(@Param("inr") String inr);

    String selectByOwnref(@Param("ownref") String ownref);

    int selectByLidgrpRecInr(@Param("inr") String inr);

    List<String> selectInrsByPNTINR(@Param("pntInr") String pntInr);

    String selectLidInrByBidInr(@Param("inr") String inr);

    int getActUtlBRCount(@Param("pntinr") String pntinr);

    List<Brd> selectByOwn(@Param("ownref") String ownref, @Param("bchkeyinr") String bchkeyinr);

    Brd queryByInr(@Param("inr") String inr);

    List<BrdWithPtsCbbResponseVo> queryBrdInfo(LitselQueryVo litselQueryVo);

    List<Brd> queryRelGodData(@Param("inr") String inr);

    List<Brd> queryAdvDataForLitrog(@Param("inr") String inr);

    Brd selectByownref(String ownref);

}